FREE SHIPPING ON ALL ORDERS

Android Device Compatibility

Toggle Nav

Which Android phones / tablets will foundMi officially work with?

  • Samsung Galaxy: S5, S6, S7
  • Samsung Galaxy Note 4 and 5
  • Samsung Galaxy Note 10.1
  • OnePlus One
  • HTC One M7
  • LG Nexus: 5, 6
  • Motorola Moto X
  • Galaxy Tab S (SM-T700)

In order to run the foundMi Android app, your device will need both of the following:

1. Android 4.4.2 or higher (KitKat, Lollipop, & Marshmallow 6.0.0)* 
2. Bluetooth 4.0

 

Note: If your device is not on this list but uses Android 4.4.2 and Bluetooth 4.0, there is a good chance Foundmi will work fine, but we are not able to offer the same level of support in troubleshooting scenarios

 Google Play Store

 
Back